Bug 525498 - wrongly encoded glyphs after U+10000
wrongly encoded glyphs after U+10000
Product: Fedora
Classification: Fedora
Component: liberation-fonts (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Caius Chance
Fedora Extras Quality Assurance
: i18n
Depends On:
  Show dependency treegraph
Reported: 2009-09-24 11:23 EDT by Denis Jacquerye
Modified: 2009-10-18 21:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-10-18 21:49:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
path reajusting encodings (152.19 KB, patch)
2009-09-30 04:28 EDT, Denis Jacquerye
no flags Details | Diff

  None (edit)
Description Denis Jacquerye 2009-09-24 11:23:45 EDT
Since 1.04 the codepoints U+10000...U+10013 in Liberation Sans, U+10000...U+1000B in Liberation Serif, and U+10000...U+1000E in Liberation Mono, are filled with characters that used to be out of bound. The glyph don't actually match the codepoints.
For example U+10005 LINEAR B SYLLABLE B001 DA is a fraction four in LiberationSans-Regular.

The error was probably introduced when the font encoding went from Unicode BMP to Unicode Full.
Comment 1 Caius Chance 2009-09-24 21:40:31 EDT
Would you have any suggestions on the conversion? I have done my best to preserve that but seems at your feedback it was failed.
Comment 2 Denis Jacquerye 2009-09-30 04:28:18 EDT
Created attachment 363148 [details]
path reajusting encodings

The patch does several things:
- clears duplicates of .notdef, .null and nonmarkingreturn
- renames the out-of-bound glyphs to previous names
- adjusts glyph id and references.
Comment 3 Caius Chance 2009-09-30 21:31:53 EDT
Thanks Denis.

Is this patch a proper fix which maintain closer quality with the original TTF delivered from Ascender?
Comment 4 Denis Jacquerye 2009-10-06 07:11:06 EDT
(In reply to comment #3)
> Is this patch a proper fix which maintain closer quality with the original TTF
> delivered from Ascender?  

No, the tables DSIG, hdmx, LTSH and VDMX from the original TTF are not there.

Fontforge can generate a DSIG.
hdmx, LTSH and VDMX are ignored by Fontforge ; they would have to be included in the generated fonts in post-processing.
Comment 5 Denis Jacquerye 2009-10-06 07:16:11 EDT
As far as I know, no hinting has gone missing and the kern table is the same as in the original font.
Comment 6 Jens Petersen 2009-10-07 22:55:32 EDT
Denis how did you generate the patch btw? :)
Comment 7 Caius Chance 2009-10-18 21:49:23 EDT
patch is applied on rawhide

Note You need to log in before you can comment on or make changes to this bug.